Subject: Re: bug#53505: [PATCH] .dir-locals.el: Don't mess up indentation of prepend and append.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 29 Jan 2022 00:03:02 +0100

Hallo!

Liliana Marie Prikler <[email-masked]> skribis:

> Am Mittwoch, dem 26.01.2022 um 12:24 +0100 schrieb Ludovic Courtès:
>> Hi!
>> 
>> Liliana Marie Prikler <[email-masked]> skribis:
>> 
>> > The current version appears to assume special values in the first
>> > and second package, but it's either all lists (default append) or
>> > all package input expressions (inside modify-inputs), which
>> > themselves are either packages or a list consisting of a package
>> > and a string.
>> > 
>> > * .dir-locals.el: Drop (eval . (put 'prepend 'scheme-indent-
>> > function 2))
>> > and (eval . (put 'append 'scheme-indent-function 2)).
>> 
>> Yeah it’s been bothering me too.  :-)
>> 
>> We can keep ‘prepend’ though as it doesn’t clash with anything.
> It might not clash, but is its behaviour correct?  IIRC, prepend and
> append take a list of packages inside modify-inputs, so if I wanted to
> add spam, ham, eggs, milk and butter to a python-package, I'd write
> that as
>
> (modify-inputs my-package
>   (prepend python-spam
>        python-ham
>      python-eggs
>      python-milk
>      python-butter))
>
> That doesn't seem right, now does it?

That looks wrong indeed.  Actually these two rules make no sense, right?
I don’t know what I was thinking about.

So I guess you can drop them, sorry for the noise!

Ludo’.